/**
 * Created by IntelliJ IDEA.
 * User: m09aaa
 * Date: 30.09.2009
 * Time: 17:27:57
 * To change this template use File | Settings | File Templates.
 */

/**
 * Created by IntelliJ IDEA.
 * User: m09aaa
 * Date: 30.09.2009
 * Time: 17:27:57
 * To change this template use File | Settings | File Templates.
 */
import java.util.*;
 import java.io.*;

   public class XD {
        public static void main ( String[] args ) throws Exception {
       Scanner in=new Scanner (new File("array.in"));
            PrintWriter out=new PrintWriter (new File("array.out"));
            int n=in.nextInt();
            int i;
            int [] a=new int[n];
             for (i=0;i<n; i++)    {  a[i] =in.nextInt();}
             i=0;
            n--;
            while (i<=n/2) {
                 if (n-i>i)
                {out.println (a[i]);out.println (a[n-i]); i++;}
                else {out.println (a[i]);i=n;}
            }
                      out.close ();
   }
   }


